// 权限管理 列表数据
export const authorityManagementListData: any[] = [
  {
    id: 0,
    resourceName: '医疗服务库',
    affiliatedOrganization: '研发部门',
    permissionType: '数据集推送',
    destinationTerminal: 'local-Inceptor/discover/user',
    correspondingApplication: '申请推送；医疗服务库',
    permissionState: '有效',
    invalidReason: '-',
    delFlag: '0',
    flag: '1',
    createBy: 'admin',
    createDate: '2024-10-24 10:04:04',
    updateBy: 'admin',
    updateDate: '2024-10-24 10:04:04',
  },
  {
    id: 1,
    resourceName: '医疗服务库',
    affiliatedOrganization: '测试部门',
    permissionType: '下载',
    destinationTerminal: '-',
    correspondingApplication: '申请下载；医疗服务库',
    permissionState: '有效',
    invalidReason: '-',
    delFlag: '0',
    flag: '1',
    createBy: 'admin',
    createDate: '2024-10-24 18:44:16',
    updateBy: 'admin',
    updateDate: '2024-10-24 18:44:16',
  },
  {
    id: 2,
    resourceName: '薪资类型',
    affiliatedOrganization: '财务部门',
    permissionType: '下载',
    destinationTerminal: '-',
    correspondingApplication: '申请下载；薪资类型',
    permissionState: '有效',
    invalidReason: '-',
    delFlag: '0',
    flag: '1',
    createBy: 'admin',
    createDate: '2024-10-25 11:05:05',
    updateBy: 'admin',
    updateDate: '2024-10-25 11:05:05',
  },
  {
    id: 3,
    resourceName: '医疗服务库',
    affiliatedOrganization: '数据部门',
    permissionType: 'API调用-拉取数据',
    destinationTerminal: 'https://192.168.0.1:28180',
    correspondingApplication: '申请API调用-推送数据<医疗服务库>；',
    permissionState: '有效',
    invalidReason: '-',
    delFlag: '0',
    flag: '1',
    createBy: 'admin',
    createDate: '2024-10-27 09:27:29',
    updateBy: 'admin',
    updateDate: '2024-10-27 09:27:29',
  },
];
export const pathOptions = [
  { label: '医疗数据', value: '1' },
  { label: '财务数据', value: '2' },
];
export const typeOptions = [
  { label: '上传', value: '1' },
  { label: '下载', value: '2' },
  { label: '数据集采集', value: '3' },
  { label: '数据集推送', value: '4' },
  { label: 'API调用-拉取数据', value: '5' },
  { label: 'API调用-推送数据', value: '6' },
];
export const statusOptions = [
  { label: '有效', value: '1' },
  { label: '无效', value: '2' },
];
