import { apiBackTableColumn } from '@/views/personalCenter/orderingInformation/detail/detail.data';

export const setDataInfo = {
  creator: 'admin',
  createDate: '2024-11-29 13:41:11',
  updateFrequency: '每月',
  securityClassification: 'DATASET.SHARED.SECURITY_LEVEL_通用/G4',
  sourceDataTable: 'kundbnew/foresight_foresight1/fs_assets',
  sourceTableSize: '4 rows',
  releaseStatus: '已发布',
  releaser: 'admin',
  releaseDate: '2024-11-29 13:41:11',
  describe: '公司人力资源信息表',
};
export const setManageData = {
  resourceCataloging: 'test1',
  ownerInstitution: '机构管理/系统管理',
  label: '-',
};
export const setPermissionData = {
  permissions: '上线，共享，下载',
};
export const fileInfoData = {
  name: '资源1',
  path: '我创建的/资源1',
  des: '-',
  dept: '机构管理/系统内置',
  label: '资源',
  sensitive: '非敏感',
  level: '未分级',
};
export const fileTableData = [
  {
    name: 'ZPSRP0010逻辑.docx',
    size: '15.82K',
    type: 'WORD',
  },
];
export const apiInfoData = {
  name: '',
  des: '共享api',
  label: 'API',
  dept: '三十五所',
  sensitive: '非敏感',
  power: 'API服务调用',
};
export const apiConfigData = {
  time: '2024-12-1200:00:00',
  range: '所有人',
  type: '有条件共享',
};
export const apiConfigTableData = [
  {
    field: 'product_name',
    code: 'PROD001',
    type: 'string',
    remark: '商品名称',
    required: 'true',
    value: '无线鼠标',
    examValue: '有线键盘',
  },
  {
    field: 'product_id',
    code: 'PROD002',
    type: 'string',
    remark: '商品ID',
    required: 'true',
    value: 'P12345',
    examValue: 'P67890',
  },
  {
    field: 'price',
    code: 'PROD003',
    type: 'float',
    remark: '商品价格',
    required: 'true',
    value: '199.99',
    examValue: '299.99',
  },
  {
    field: 'stock_quantity',
    code: 'PROD004',
    type: 'integer',
    remark: '商品库存数量',
    required: 'true',
    value: '50',
    examValue: '100',
  },
  {
    field: 'category',
    code: 'PROD005',
    type: 'string',
    remark: '商品类别',
    required: 'true',
    value: '电子产品',
    examValue: '办公文具',
  },
];
export const apiBackTableData = [
  {
    field: 'product_name',
    code: 'PROD001',
    type: 'string',
    remark: '成功返回：商品名称',
  },
  {
    field: 'product_id',
    code: 'PROD002',
    type: 'string',
    remark: '成功返回：商品ID',
  },
  {
    field: 'price',
    code: 'PROD003',
    type: 'float',
    remark: '成功返回：商品价格',
  },
  {
    field: 'stock_quantity',
    code: 'PROD004',
    type: 'integer',
    remark: '成功返回：商品库存数量',
  },
  {
    field: 'category',
    code: 'PROD005',
    type: 'string',
    remark: '成功返回：商品类别',
  },
];
